## Index

### Modules

- "assert"
- "async_hooks"
- "buffer"
- "child_process"
- "cluster"
- "console"
- "constants"
- "crypto"
- "dgram"
- "dns"
- "domain"
- "events"
- "fs"
- "http"
- "http2"
- "https"
- "inspector"
- "mocha"
- "module"
- "net"
- "os"
- "path"
- "perf_hooks"
- "process"
- "punycode"
- "querystring"
- "readline"
- "repl"
- "stream"
- "string_decoder"
- "timers"
- "tls"
- "tty"
- "url"
- "util"
- "v8"
- "vm"
- "zlib"
- NodeJS
- setImmediate
- setTimeout

### Classes

- Mocha
- Timestamp

### Interfaces

- Buffer
- Console
- Error
- ErrorConstructor
- Iterable
- IterableIterator
- Iterator
- IteratorResult
- MapConstructor
- MochaDone
- MochaSetupOptions
- NodeBuffer
- NodeExtensions
- NodeModule
- NodeRequire
- NodeRequireFunction
- ReporterConstructor
- SetConstructor
- String
- SymbolConstructor
- WeakMapConstructor
- WeakSetConstructor

### Type aliases

- BufferEncoding

### Variables

- SlowBuffer
- Symbol
- ___dirname
- ___filename
- console
- context
- describe
- exports
- global
- it
- mocha
- module
- process
- require
- specify
- suite
- test
- xdescribe
- xit

### Functions

- after
- afterEach
- before
- beforeEach
- clearImmediate
- clearInterval
- clearTimeout
- run
- setInterval
- setup
- suiteSetup
- suiteTeardown
- teardown

## Type aliases

### BufferEncoding

BufferEncoding: "ascii" | "utf8" | "utf16le" | "ucs2" | "base64" | "latin1" | "binary" | "hex"

- Defined in node_modules/@types/node/index.d.ts:166

## Variables

### SlowBuffer

SlowBuffer: object

- Defined in node_modules/@types/node/index.d.ts:154

#### Type declaration

- ##### constructor: function

  - new __type(str: string, encoding?: string): Buffer
  - new __type(size: number): Buffer
  - new __type(size: Uint8Array): Buffer
  - new __type(array: any[]): Buffer
  - - Defined in node_modules/@types/node/index.d.ts:154

    #### Parameters

    - ##### str: string

    - ##### Optional encoding: string

    #### Returns Buffer

  - - Defined in node_modules/@types/node/index.d.ts:155

    #### Parameters

    - ##### size: number

    #### Returns Buffer

  - - Defined in node_modules/@types/node/index.d.ts:156

    #### Parameters

    - ##### size: Uint8Array

    #### Returns Buffer

  - - Defined in node_modules/@types/node/index.d.ts:157

    #### Parameters

    - ##### array: any[]

    #### Returns Buffer

- ##### prototype: Buffer

- ##### byteLength: function

  - byteLength(string: string, encoding?: string): number
  - - Defined in node_modules/@types/node/index.d.ts:161

    #### Parameters

    - ##### string: string

    - ##### Optional encoding: string

    #### Returns number

- ##### concat: function

  - concat(list: Buffer[], totalLength?: number): Buffer
  - - Defined in node_modules/@types/node/index.d.ts:162

    #### Parameters

    - ##### list: Buffer[]

    - ##### Optional totalLength: number

    #### Returns Buffer

- ##### isBuffer: function

  - isBuffer(obj: any): boolean
  - - Defined in node_modules/@types/node/index.d.ts:160

    #### Parameters

    - ##### obj: any

    #### Returns boolean

### Symbol

Symbol: SymbolConstructor

- Defined in node_modules/@types/node/index.d.ts:81

### ___dirname

___dirname: string

- Defined in node_modules/@types/node/index.d.ts:101

### ___filename

___filename: string

- Defined in node_modules/@types/node/index.d.ts:100

### Export assignment console

console: Console

- Defined in node_modules/@types/node/index.d.ts:98

### context

context: IContextDefinition

- Defined in node_modules/@types/mocha/index.d.ts:39

### describe

describe: IContextDefinition

- Defined in node_modules/@types/mocha/index.d.ts:36

### exports

exports: any

- Defined in node_modules/@types/node/index.d.ts:153

### global

global: Global

- Defined in node_modules/@types/node/index.d.ts:97

### it

it: ITestDefinition

- Defined in node_modules/@types/mocha/index.d.ts:42

### mocha

mocha: Mocha

- Defined in node_modules/@types/mocha/index.d.ts:35

### module

module: NodeModule

- Defined in node_modules/@types/node/index.d.ts:150

### Export assignment process

process: Process

- Defined in node_modules/@types/node/index.d.ts:96

                                              *
                  GLOBAL                      *
                                              *

### require

require: NodeRequire

- Defined in node_modules/@types/node/index.d.ts:138

### specify

specify: ITestDefinition

- Defined in node_modules/@types/mocha/index.d.ts:46

### suite

suite: IContextDefinition

- Defined in node_modules/@types/mocha/index.d.ts:41

### test

test: ITestDefinition

- Defined in node_modules/@types/mocha/index.d.ts:45

### xdescribe

xdescribe: IContextDefinition

- Defined in node_modules/@types/mocha/index.d.ts:37

### xit

xit: ITestDefinition

- Defined in node_modules/@types/mocha/index.d.ts:43

## Functions

### after

- after(callback: function): void
- after(description: string, callback: function): void

- - Defined in node_modules/@types/mocha/index.d.ts:61

  #### Parameters

  - ##### callback: function

    - - (this: IHookCallbackContext, done: MochaDone): any

      - #### Parameters

        - ##### this: IHookCallbackContext

        - ##### done: MochaDone

        #### Returns any

  #### Returns void

- - Defined in node_modules/@types/mocha/index.d.ts:62

  #### Parameters

  - ##### description: string

  - ##### callback: function

    - - (this: IHookCallbackContext, done: MochaDone): any

      - #### Parameters

        - ##### this: IHookCallbackContext

        - ##### done: MochaDone

        #### Returns any

  #### Returns void

### afterEach

- afterEach(callback: function): void
- afterEach(description: string, callback: function): void

- - Defined in node_modules/@types/mocha/index.d.ts:65

  #### Parameters

  - ##### callback: function

    - - (this: IBeforeAndAfterContext, done: MochaDone): any

      - #### Parameters

        - ##### this: IBeforeAndAfterContext

        - ##### done: MochaDone

        #### Returns any

  #### Returns void

- - Defined in node_modules/@types/mocha/index.d.ts:66

  #### Parameters

  - ##### description: string

  - ##### callback: function

    - - (this: IBeforeAndAfterContext, done: MochaDone): any

      - #### Parameters

        - ##### this: IBeforeAndAfterContext

        - ##### done: MochaDone

        #### Returns any

  #### Returns void

### before

- before(callback: function): void
- before(description: string, callback: function): void

- - Defined in node_modules/@types/mocha/index.d.ts:59

  #### Parameters

  - ##### callback: function

    - - (this: IHookCallbackContext, done: MochaDone): any

      - #### Parameters

        - ##### this: IHookCallbackContext

        - ##### done: MochaDone

        #### Returns any

  #### Returns void

- - Defined in node_modules/@types/mocha/index.d.ts:60

  #### Parameters

  - ##### description: string

  - ##### callback: function

    - - (this: IHookCallbackContext, done: MochaDone): any

      - #### Parameters

        - ##### this: IHookCallbackContext

        - ##### done: MochaDone

        #### Returns any

  #### Returns void

### beforeEach

- beforeEach(callback: function): void
- beforeEach(description: string, callback: function): void

- - Defined in node_modules/@types/mocha/index.d.ts:63

  #### Parameters

  - ##### callback: function

    - - (this: IBeforeAndAfterContext, done: MochaDone): any

      - #### Parameters

        - ##### this: IBeforeAndAfterContext

        - ##### done: MochaDone

        #### Returns any

  #### Returns void

- - Defined in node_modules/@types/mocha/index.d.ts:64

  #### Parameters

  - ##### description: string

  - ##### callback: function

    - - (this: IBeforeAndAfterContext, done: MochaDone): any

      - #### Parameters

        - ##### this: IBeforeAndAfterContext

        - ##### done: MochaDone

        #### Returns any

  #### Returns void

### clearImmediate

- clearImmediate(immediateId: any): void

- - Defined in node_modules/@types/node/index.d.ts:116

  #### Parameters

  - ##### immediateId: any

  #### Returns void

### clearInterval

- clearInterval(intervalId: Timer): void

- - Defined in node_modules/@types/node/index.d.ts:110

  #### Parameters

  - ##### intervalId: Timer

  #### Returns void

### clearTimeout

- clearTimeout(timeoutId: Timer): void

- - Defined in node_modules/@types/node/index.d.ts:108

  #### Parameters

  - ##### timeoutId: Timer

  #### Returns void

### run

- run(): void

- - Defined in node_modules/@types/mocha/index.d.ts:49

  #### Returns void

### setInterval

- setInterval(callback: function, ms: number, ...args: any[]): Timer

- - Defined in node_modules/@types/node/index.d.ts:109

  #### Parameters

  - ##### callback: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  - ##### ms: number

  - ##### Rest ...args: any[]

  #### Returns Timer

### setup

- setup(callback: function): void

- - Defined in node_modules/@types/mocha/index.d.ts:55

  #### Parameters

  - ##### callback: function

    - - (this: IBeforeAndAfterContext, done: MochaDone): any

      - #### Parameters

        - ##### this: IBeforeAndAfterContext

        - ##### done: MochaDone

        #### Returns any

  #### Returns void

### suiteSetup

- suiteSetup(callback: function): void

- - Defined in node_modules/@types/mocha/index.d.ts:57

  #### Parameters

  - ##### callback: function

    - - (this: IHookCallbackContext, done: MochaDone): any

      - #### Parameters

        - ##### this: IHookCallbackContext

        - ##### done: MochaDone

        #### Returns any

  #### Returns void

### suiteTeardown

- suiteTeardown(callback: function): void

- - Defined in node_modules/@types/mocha/index.d.ts:58

  #### Parameters

  - ##### callback: function

    - - (this: IHookCallbackContext, done: MochaDone): any

      - #### Parameters

        - ##### this: IHookCallbackContext

        - ##### done: MochaDone

        #### Returns any

  #### Returns void

### teardown

- teardown(callback: function): void

- - Defined in node_modules/@types/mocha/index.d.ts:56

  #### Parameters

  - ##### callback: function

    - - (this: IBeforeAndAfterContext, done: MochaDone): any

      - #### Parameters

        - ##### this: IBeforeAndAfterContext

        - ##### done: MochaDone

        #### Returns any

  #### Returns void

Generated using TypeDoc